package iot.lidee.http.service;

import iot.lidee.common.core.thingsModel.ThingsModelSimpleItem;
import iot.lidee.iot.domain.Device;

import java.util.List;

public interface IHttpMqttService {
    void publishInfo(Device device);

    void publishStatus(Device device, int deviceStatus);

    void publishEvent(Device device, List<ThingsModelSimpleItem> thingsList);

    void publishProperty(Device device, List<ThingsModelSimpleItem> thingsList, int delay);

    void publishMonitor(Device device, List<ThingsModelSimpleItem> thingsList);
}
